Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.structure
Class CrossServerBindingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.slide.common.SlideException
                  org.apache.slide.structure.StructureException
                      org.apache.slide.structure.CrossServerBindingException

All Implemented Interfaces:
  java.io.Serializable

public class CrossServerBindingException
extends StructureException

Linked object not found.

Version:
  $Revision: 1.4 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`CrossServerBindingException(java.lang.String sourceUri, java.lang.String collectionUri)` Constructor.

Method Summary
`java.lang.String` | `getCollectionUri()` Return the collection URI
`java.lang.String` | `getSourceUri()` Return the source URI

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CrossServerBindingException

    public CrossServerBindingException(java.lang.String sourceUri,
                                       java.lang.String collectionUri)

  Constructor.

Parameters:
  `sourceUri` - binding source
  `collectionUri` - binding collection

Method Detail

### getSourceUri

    public java.lang.String getSourceUri()

  Return the source URI

### getCollectionUri

    public java.lang.String getCollectionUri()

  Return the collection URI

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD